# gnupg_deletekey

(PECL gnupg >= 0.5)

gnupg_deletekey — Löscht einen Schlüssel aus dem Schlüsselbund

### Beschreibung

gnupg_deletekey(resource `$identifier`, string `$key`, bool `$allow_secret`): bool

### Parameter-Liste

`identifier`

  Eine von gnupg_init() oder der Klasse gnupg zurückgegebene GnuPG-Ressource.

`key`
  Der zu löschende Schlüssel.
`allow_secret`
  Gibt an, ob auch geheime Schlüssel gelöscht werden sollen.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Beispiele

Beispiel #1 Prozedurales gnupg_deletekey()-Beispiel

`<?php
$res = gnupg_init();
gnupg_deletekey($res, "8660281B6051D071D94B5B230549F9DC851566DC");
?>`

Beispiel #2 Objektorientiertes gnupg_deletekey()-Beispiel

`<?php
$gpg = new gnupg();
$gpg->deletekey("8660281B6051D071D94B5B230549F9DC851566DC");
?>`
`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open